package gravity;

import java.io.IOException;
import java.nio.ByteBuffer;

public interface InputHandler {
	
	public ByteBuffer getMetaData() throws IOException;
	
	public ByteBuffer getBuffer();
	
	public void startReading();
	
	public void skipFrames(int frames);
	
	public void destroy();
	
}
