#version 330 core

in vec2 coords;
in vec3 fColor;

out vec4 color;

void main() {
	float dist = length(coords);
	float amt = min(1 - dist, 0.5) * 2;
	if (amt <= 0) discard;
	color = vec4(fColor, amt);
}