#version 330 core

in vec3 position;
in vec3 color;
in float mass;

out vec3 vColor;
out float vMass;

uniform mat4 projMat;
uniform mat4 viewMat;

void main() {
	vColor = color;
	vMass = mass;
	gl_Position = projMat * viewMat * vec4(position, 1);
}